<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Making upset plots from GHRU data • ghruR</title>
<!-- jquery --><script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script><!-- Bootstrap --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.4.1/css/bootstrap.min.css" integrity="sha256-bZLfwXAP04zRMK2BjiO8iu9pf4FbLqX6zitd+tIvLhE=" crossorigin="anonymous">
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.4.1/js/bootstrap.min.js" integrity="sha256-nuL8/2cJ5NDSSwnKD8VqreErSWHtnEP9E7AySL+1ev4=" crossorigin="anonymous"></script><!-- bootstrap-toc --><link rel="stylesheet" href="../bootstrap-toc.css">
<script src="../bootstrap-toc.js"></script><!-- Font Awesome icons --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css" integrity="sha256-mmgLkCYLUQbXn0B1SRqzHar6dCnv9oZFPEC1g1cwlkk=" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/v4-shims.min.css" integrity="sha256-wZjR52fzng1pJHwx4aV2AO3yyTOXrcDW7jBpJtTwVxw=" crossorigin="anonymous">
<!-- clipboard.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.6/clipboard.min.js" integrity="sha256-inc5kl9MA1hkeYUt+EC3BhlIgyp/2jDIyBLS6k3UxPI=" crossorigin="anonymous"></script><!-- headroom.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/headroom.min.js" integrity="sha256-AsUX4SJE1+yuDu5+mAVzJbuYNPHj/WroHuZ8Ir/CkE0=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script><!-- pkgdown --><link href="../pkgdown.css" rel="stylesheet">
<script src="../pkgdown.js"></script><meta property="og:title" content="Making upset plots from GHRU data">
<meta property="og:description" content="ghruR">
<!-- mathjax --><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script><!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body data-spy="scroll" data-target="#toc">
    <div class="container template-article">
      <header><div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="../index.html">ghruR</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.3.2</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
<li>
  <a href="../index.html">
    <span class="fas fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="../reference/index.html">Reference</a>
</li>
<li class="dropdown">
  <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
    Articles
     
    <span class="caret"></span>
  </a>
  <ul class="dropdown-menu" role="menu">
<li>
      <a href="../articles/analysing_ghru_data.html">Analysing GHRU Data</a>
    </li>
    <li>
      <a href="../articles/making_microreact_compatible_data.html">Making Microreact-compatible data from GHRU metadata and outputs</a>
    </li>
    <li>
      <a href="../articles/making_microreact_compatible_data_manually.html">Making Microreact-compatible data from GHRU metadata the manual way</a>
    </li>
    <li>
      <a href="../articles/ploting_GHRU_data.html">Making plots from GHRU data</a>
    </li>
    <li>
      <a href="../articles/plotting_upset_diagrams.html">Making upset plots from GHRU data</a>
    </li>
    <li>
      <a href="../articles/simple_concordance_example.html">Example of a simple concordance analysis</a>
    </li>
  </ul>
</li>
      </ul>
<ul class="nav navbar-nav navbar-right"></ul>
</div>
<!--/.nav-collapse -->
  </div>
<!--/.container -->
</div>
<!--/.navbar -->

      

      </header><script src="plotting_upset_diagrams_files/header-attrs-2.11/header-attrs.js"></script><script src="plotting_upset_diagrams_files/kePrint-0.0.1/kePrint.js"></script><link href="plotting_upset_diagrams_files/lightable-0.0.1/lightable.css" rel="stylesheet">
<div class="row">
  <div class="col-md-9 contents">
    <div class="page-header toc-ignore">
      <h1 data-toc-skip>Making upset plots from GHRU data</h1>
                        <h4 class="author">Anthony Underwood</h4>
            
      
      
      <div class="hidden name"><code>plotting_upset_diagrams.Rmd</code></div>

    </div>

    
    
<div id="introduction" class="section level2">
<h2 class="hasAnchor">
<a href="#introduction" class="anchor"></a>Introduction</h2>
<p>UpSet diagrams visualizes complex intersections where the columns represent different combinations of factors across different sets of groups (rows). They are very helpful when looking at the different combinations of AMR determinants that may be responsible for resistance.</p>
<div id="getting-and-formatting-the-data" class="section level3">
<h3 class="hasAnchor">
<a href="#getting-and-formatting-the-data" class="anchor"></a>Getting and formatting the data</h3>
<hr>
<p>First get the relevant data sets</p>
<div class="sourceCode" id="cb1"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="kw"><a href="https://rdrr.io/r/base/library.html">library</a></span><span class="op">(</span><span class="va">ghruR</span><span class="op">)</span>
<span class="kw"><a href="https://rdrr.io/r/base/library.html">library</a></span><span class="op">(</span><span class="va"><a href="http://haozhu233.github.io/kableExtra/">kableExtra</a></span><span class="op">)</span>
<span class="va">epi_data</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/get_data_for_country.html">get_data_for_country</a></span><span class="op">(</span>
  country_value <span class="op">=</span> <span class="st">"India"</span>,
  type_value <span class="op">=</span> <span class="st">"Epidemiological Metadata"</span>,
  user_email <span class="op">=</span> <span class="st">"anthony.underwood@cgps.group"</span><span class="op">)</span></code></pre></div>
<pre><code>## [1] "anthony.underwood@cgps.group"
## [1] "anthony.underwood@cgps.group"
## [1] "anthony.underwood@cgps.group"</code></pre>
<div class="sourceCode" id="cb3"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">epi_data</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/clean_data.html">clean_data</a></span><span class="op">(</span><span class="va">epi_data</span><span class="op">)</span>

<span class="va">ast_data</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/get_data_for_country.html">get_data_for_country</a></span><span class="op">(</span>
  country_value <span class="op">=</span> <span class="st">"India"</span>,
  type_value <span class="op">=</span> <span class="st">"Antimicrobial Susceptibility Testing"</span>,
  user_email <span class="op">=</span> <span class="st">"anthony.underwood@cgps.group"</span><span class="op">)</span></code></pre></div>
<pre><code>## [1] "anthony.underwood@cgps.group"</code></pre>
<div class="sourceCode" id="cb5"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">acquired_amr_data</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/get_data_for_country.html">get_data_for_country</a></span><span class="op">(</span>
  country_value <span class="op">=</span> <span class="st">"India"</span>,
  type_value <span class="op">=</span> <span class="st">"AMR Klebsiella pneumoniae"</span>,
  AMR_type <span class="op">=</span> <span class="st">"acquired"</span>,
  user_email <span class="op">=</span> <span class="st">"anthony.underwood@cgps.group"</span><span class="op">)</span></code></pre></div>
<pre><code>## [1] "anthony.underwood@cgps.group"</code></pre>
<div class="sourceCode" id="cb7"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">point_amr_data</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/get_data_for_country.html">get_data_for_country</a></span><span class="op">(</span>
  country_value <span class="op">=</span> <span class="st">"India"</span>,
  type_value <span class="op">=</span> <span class="st">"AMR Klebsiella pneumoniae"</span>,
  AMR_type <span class="op">=</span> <span class="st">"point"</span>,
  user_email <span class="op">=</span> <span class="st">"anthony.underwood@cgps.group"</span><span class="op">)</span></code></pre></div>
<pre><code>## [1] "anthony.underwood@cgps.group"</code></pre>
<div class="sourceCode" id="cb9"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">mlst_data</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/get_data_for_country.html">get_data_for_country</a></span><span class="op">(</span>
  country_value <span class="op">=</span> <span class="st">"India"</span>,
  type_value <span class="op">=</span> <span class="st">"MLST"</span>,
  user_email <span class="op">=</span> <span class="st">"anthony.underwood@cgps.group"</span><span class="op">)</span></code></pre></div>
<pre><code>## [1] "anthony.underwood@cgps.group"</code></pre>
</div>
<div id="parsing-the-acquired-amr-data" class="section level3">
<h3 class="hasAnchor">
<a href="#parsing-the-acquired-amr-data" class="anchor"></a>Parsing the acquired AMR data</h3>
<hr>
<p>Convert the acquired AMR data to long format, annotate it and get the different data sets</p>
<div class="sourceCode" id="cb11"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="co"># convert to long format</span>
<span class="va">annotated_amr_data</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/annotate_amr_data.html">annotate_amr_data</a></span><span class="op">(</span><span class="va">acquired_amr_data</span><span class="op">)</span>
<span class="co"># filter data for those that have acquired the gene and have good pct_id match and ctg_cov</span>
<span class="va">acquired_genes_present</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/filter_long_data.html">filter_long_data</a></span><span class="op">(</span><span class="va">annotated_amr_data</span><span class="op">)</span>
<span class="co"># filter by subclass</span>
<span class="va">carbapenamases</span> <span class="op">&lt;-</span> <span class="va">acquired_genes_present</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/filter.html">filter</a></span><span class="op">(</span><span class="va">subclass</span> <span class="op">==</span> <span class="st">"CARBAPENEM"</span><span class="op">)</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/select.html">select</a></span><span class="op">(</span><span class="va">`Sample id`</span>, <span class="va">gene</span><span class="op">)</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/rename.html">rename</a></span><span class="op">(</span>determinant <span class="op">=</span> <span class="va">gene</span><span class="op">)</span>

<span class="fu"><a href="https://rdrr.io/r/utils/head.html">head</a></span><span class="op">(</span><span class="va">carbapenamases</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/knitr/man/kable.html">kable</a></span><span class="op">(</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/kableExtra/man/kable_styling.html">kable_styling</a></span><span class="op">(</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/kableExtra/man/scroll_box.html">scroll_box</a></span><span class="op">(</span>width <span class="op">=</span> <span class="st">"100%"</span><span class="op">)</span></code></pre></div>
<div style="border: 1px solid #ddd; padding: 5px; overflow-x: scroll; width:100%; ">
<table class="table table">
<thead><tr>
<th style="text-align:left;">
Sample id
</th>
<th style="text-align:left;">
determinant
</th>
</tr></thead>
<tbody>
<tr>
<td style="text-align:left;">
G18250048
</td>
<td style="text-align:left;">
blaNDM-1
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250048
</td>
<td style="text-align:left;">
blaOXA-181
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250048
</td>
<td style="text-align:left;">
blaOXA-181
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250088
</td>
<td style="text-align:left;">
blaNDM-1
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250088
</td>
<td style="text-align:left;">
blaOXA-232
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250088
</td>
<td style="text-align:left;">
blaOXA-232
</td>
</tr>
</tbody>
</table>
</div>
<div class="sourceCode" id="cb12"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">esbls</span> <span class="op">&lt;-</span> <span class="va">acquired_genes_present</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/filter.html">filter</a></span><span class="op">(</span><span class="va">subclass</span> <span class="op">==</span> <span class="st">"CEPHALOSPORIN"</span><span class="op">)</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/select.html">select</a></span><span class="op">(</span><span class="va">`Sample id`</span>, <span class="va">gene</span><span class="op">)</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/rename.html">rename</a></span><span class="op">(</span>determinant <span class="op">=</span> <span class="va">gene</span><span class="op">)</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/filter.html">filter</a></span><span class="op">(</span>
    <span class="fu">str_starts</span><span class="op">(</span><span class="va">determinant</span>, <span class="st">"blaCTX-M"</span><span class="op">)</span> <span class="op">|</span>
    <span class="fu">str_starts</span><span class="op">(</span><span class="va">determinant</span>, <span class="st">"blaSHV"</span><span class="op">)</span> <span class="op">|</span>
    <span class="fu">str_starts</span><span class="op">(</span><span class="va">determinant</span>, <span class="st">"blaTEM"</span><span class="op">)</span> <span class="op">|</span>
     <span class="fu">str_starts</span><span class="op">(</span><span class="va">determinant</span>, <span class="st">"blaOXA"</span><span class="op">)</span>
  <span class="op">)</span>
<span class="fu"><a href="https://rdrr.io/r/utils/head.html">head</a></span><span class="op">(</span><span class="va">esbls</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/knitr/man/kable.html">kable</a></span><span class="op">(</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/kableExtra/man/kable_styling.html">kable_styling</a></span><span class="op">(</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/kableExtra/man/scroll_box.html">scroll_box</a></span><span class="op">(</span>width <span class="op">=</span> <span class="st">"100%"</span><span class="op">)</span></code></pre></div>
<div style="border: 1px solid #ddd; padding: 5px; overflow-x: scroll; width:100%; ">
<table class="table table">
<thead><tr>
<th style="text-align:left;">
Sample id
</th>
<th style="text-align:left;">
determinant
</th>
</tr></thead>
<tbody>
<tr>
<td style="text-align:left;">
G18250048
</td>
<td style="text-align:left;">
blaCTX-M-15
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250088
</td>
<td style="text-align:left;">
blaCTX-M-15
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250088
</td>
<td style="text-align:left;">
blaOXA-1
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250103
</td>
<td style="text-align:left;">
blaCTX-M-15
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250103
</td>
<td style="text-align:left;">
blaOXA-1
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250114
</td>
<td style="text-align:left;">
blaCTX-M-15
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div id="parsing-the-point-amr-data" class="section level3">
<h3 class="hasAnchor">
<a href="#parsing-the-point-amr-data" class="anchor"></a>Parsing the point AMR data</h3>
<hr>
<p>Now handling point data, first get the mutations in assembled genes</p>
<div class="sourceCode" id="cb13"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">annotated_point_amr_data</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/get_annotated_point_amr_data.html">get_annotated_point_amr_data</a></span><span class="op">(</span><span class="va">point_amr_data</span>, <span class="st">'klebsiella'</span>, annotation_type <span class="op">=</span> <span class="st">'mutations'</span><span class="op">)</span>
<span class="co"># get mutations specific for carbapenems</span>
<span class="va">carbapenam_specific_mutations</span> <span class="op">&lt;-</span> <span class="va">annotated_point_amr_data</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/filter.html">filter</a></span><span class="op">(</span><span class="va">resistance</span> <span class="op">==</span> <span class="st">"carbapenem"</span><span class="op">)</span> <span class="op">%&gt;%</span> 
  <span class="fu"><a href="https://dplyr.tidyverse.org/reference/select.html">select</a></span><span class="op">(</span><span class="op">-</span><span class="va">resistance</span><span class="op">)</span>
<span class="fu"><a href="https://rdrr.io/r/utils/head.html">head</a></span><span class="op">(</span><span class="va">carbapenam_specific_mutations</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/knitr/man/kable.html">kable</a></span><span class="op">(</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/kableExtra/man/kable_styling.html">kable_styling</a></span><span class="op">(</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/kableExtra/man/scroll_box.html">scroll_box</a></span><span class="op">(</span>width <span class="op">=</span> <span class="st">"100%"</span><span class="op">)</span></code></pre></div>
<div style="border: 1px solid #ddd; padding: 5px; overflow-x: scroll; width:100%; ">
<table class="table table">
<thead><tr>
<th style="text-align:left;">
Sample id
</th>
<th style="text-align:left;">
determinant
</th>
</tr></thead>
<tbody>
<tr>
<td style="text-align:left;">
G18250048
</td>
<td style="text-align:left;">
ompK36_A217S
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250048
</td>
<td style="text-align:left;">
ompK37_E244D
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250048
</td>
<td style="text-align:left;">
ompK37_I128M
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250048
</td>
<td style="text-align:left;">
ompK37_I70M
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250048
</td>
<td style="text-align:left;">
ompK37_N230G
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250088
</td>
<td style="text-align:left;">
ompK36_A217S
</td>
</tr>
</tbody>
</table>
</div>
<p>Now get the genes which were incomplete (partial or fragmented) and therefore possibly non-functional</p>
<div class="sourceCode" id="cb14"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">annotated_point_amr_data</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/get_annotated_point_amr_data.html">get_annotated_point_amr_data</a></span><span class="op">(</span><span class="va">point_amr_data</span>, <span class="st">'klebsiella'</span>, annotation_type <span class="op">=</span> <span class="st">'incomplete'</span><span class="op">)</span>
<span class="co"># get mutations specific for carbapenems</span>
<span class="va">carbapenam_specific_incomplete_genes</span> <span class="op">&lt;-</span> <span class="va">annotated_point_amr_data</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/filter.html">filter</a></span><span class="op">(</span><span class="va">resistance</span> <span class="op">==</span> <span class="st">"carbapenem"</span><span class="op">)</span> <span class="op">%&gt;%</span> 
  <span class="fu"><a href="https://dplyr.tidyverse.org/reference/select.html">select</a></span><span class="op">(</span><span class="op">-</span><span class="va">resistance</span><span class="op">)</span>
<span class="fu"><a href="https://rdrr.io/r/utils/head.html">head</a></span><span class="op">(</span><span class="va">carbapenam_specific_incomplete_genes</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/knitr/man/kable.html">kable</a></span><span class="op">(</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/kableExtra/man/kable_styling.html">kable_styling</a></span><span class="op">(</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/kableExtra/man/scroll_box.html">scroll_box</a></span><span class="op">(</span>width <span class="op">=</span> <span class="st">"100%"</span><span class="op">)</span></code></pre></div>
<div style="border: 1px solid #ddd; padding: 5px; overflow-x: scroll; width:100%; ">
<table class="table table">
<thead><tr>
<th style="text-align:left;">
Sample id
</th>
<th style="text-align:left;">
determinant
</th>
</tr></thead>
<tbody>
<tr>
<td style="text-align:left;">
G18251889
</td>
<td style="text-align:left;">
ompK36-absent
</td>
</tr>
<tr>
<td style="text-align:left;">
G18252053
</td>
<td style="text-align:left;">
ompK36-absent
</td>
</tr>
<tr>
<td style="text-align:left;">
G18252054
</td>
<td style="text-align:left;">
ompK36-partial
</td>
</tr>
<tr>
<td style="text-align:left;">
G18253166
</td>
<td style="text-align:left;">
ompK36-partial
</td>
</tr>
<tr>
<td style="text-align:left;">
G18253170
</td>
<td style="text-align:left;">
ompK36-absent
</td>
</tr>
<tr>
<td style="text-align:left;">
G18253171
</td>
<td style="text-align:left;">
ompK36-partial
</td>
</tr>
</tbody>
</table>
</div>
<p>For simplicity in the plots convert both of these to be either <code>gene-mutation</code> or <code>gene-incomplete</code></p>
<div class="sourceCode" id="cb15"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">carbapenam_specific_mutations</span> <span class="op">%&lt;&gt;%</span> <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/mutate.html">mutate</a></span><span class="op">(</span>determinant <span class="op">=</span> <span class="fu">stringr</span><span class="fu">::</span><span class="fu"><a href="https://stringr.tidyverse.org/reference/str_replace.html">str_replace</a></span><span class="op">(</span><span class="va">determinant</span>, <span class="st">"_.+$"</span>, <span class="st">"-mutation"</span><span class="op">)</span><span class="op">)</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/distinct.html">distinct</a></span><span class="op">(</span><span class="va">`Sample id`</span>, <span class="va">determinant</span><span class="op">)</span>
<span class="fu"><a href="https://rdrr.io/r/utils/head.html">head</a></span><span class="op">(</span><span class="va">carbapenam_specific_mutations</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/knitr/man/kable.html">kable</a></span><span class="op">(</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/kableExtra/man/kable_styling.html">kable_styling</a></span><span class="op">(</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/kableExtra/man/scroll_box.html">scroll_box</a></span><span class="op">(</span>width <span class="op">=</span> <span class="st">"100%"</span><span class="op">)</span></code></pre></div>
<div style="border: 1px solid #ddd; padding: 5px; overflow-x: scroll; width:100%; ">
<table class="table table">
<thead><tr>
<th style="text-align:left;">
Sample id
</th>
<th style="text-align:left;">
determinant
</th>
</tr></thead>
<tbody>
<tr>
<td style="text-align:left;">
G18250048
</td>
<td style="text-align:left;">
ompK36-mutation
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250048
</td>
<td style="text-align:left;">
ompK37-mutation
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250088
</td>
<td style="text-align:left;">
ompK36-mutation
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250088
</td>
<td style="text-align:left;">
ompK37-mutation
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250103
</td>
<td style="text-align:left;">
ompK36-mutation
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250103
</td>
<td style="text-align:left;">
ompK37-mutation
</td>
</tr>
</tbody>
</table>
</div>
<div class="sourceCode" id="cb16"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">carbapenam_specific_incomplete_genes</span> <span class="op">%&lt;&gt;%</span> <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/mutate.html">mutate</a></span><span class="op">(</span>determinant <span class="op">=</span> <span class="fu">stringr</span><span class="fu">::</span><span class="fu"><a href="https://stringr.tidyverse.org/reference/str_replace.html">str_replace</a></span><span class="op">(</span><span class="va">determinant</span>, <span class="st">"-.+$"</span>, <span class="st">"-incomplete"</span><span class="op">)</span><span class="op">)</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/distinct.html">distinct</a></span><span class="op">(</span><span class="va">`Sample id`</span>, <span class="va">determinant</span><span class="op">)</span>
<span class="fu"><a href="https://rdrr.io/r/utils/head.html">head</a></span><span class="op">(</span><span class="va">carbapenam_specific_incomplete_genes</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/knitr/man/kable.html">kable</a></span><span class="op">(</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/kableExtra/man/kable_styling.html">kable_styling</a></span><span class="op">(</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/kableExtra/man/scroll_box.html">scroll_box</a></span><span class="op">(</span>width <span class="op">=</span> <span class="st">"100%"</span><span class="op">)</span></code></pre></div>
<div style="border: 1px solid #ddd; padding: 5px; overflow-x: scroll; width:100%; ">
<table class="table table">
<thead><tr>
<th style="text-align:left;">
Sample id
</th>
<th style="text-align:left;">
determinant
</th>
</tr></thead>
<tbody>
<tr>
<td style="text-align:left;">
G18251889
</td>
<td style="text-align:left;">
ompK36-incomplete
</td>
</tr>
<tr>
<td style="text-align:left;">
G18252053
</td>
<td style="text-align:left;">
ompK36-incomplete
</td>
</tr>
<tr>
<td style="text-align:left;">
G18252054
</td>
<td style="text-align:left;">
ompK36-incomplete
</td>
</tr>
<tr>
<td style="text-align:left;">
G18253166
</td>
<td style="text-align:left;">
ompK36-incomplete
</td>
</tr>
<tr>
<td style="text-align:left;">
G18253170
</td>
<td style="text-align:left;">
ompK36-incomplete
</td>
</tr>
<tr>
<td style="text-align:left;">
G18253171
</td>
<td style="text-align:left;">
ompK36-incomplete
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div id="combining-all-the-dataframes" class="section level3">
<h3 class="hasAnchor">
<a href="#combining-all-the-dataframes" class="anchor"></a>Combining all the dataframes</h3>
<hr>
<p>Produce a final dataframe from the acquired and point dataframes with determinants putatively involved in carbapenem resistance</p>
<p>This involves binding the rows and combining multiple determinants for the same sample into one by joining them into a list (for the ggupset function) using the <code>group_by</code> and <code>summarise</code> functions from the the <code>dplyr</code> package</p>
<div class="sourceCode" id="cb17"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="co">#combine all determinants</span>
<span class="va">all_potential_CR_determinants</span> <span class="op">&lt;-</span>
  <span class="fu"><a href="https://rdrr.io/r/base/cbind.html">rbind</a></span><span class="op">(</span><span class="va">carbapenamases</span>, <span class="va">esbls</span>, <span class="va">carbapenam_specific_mutations</span>, <span class="va">carbapenam_specific_incomplete_genes</span><span class="op">)</span>

<span class="co"># merge multiple instances</span>
<span class="va">all_potential_CR_determinants</span>  <span class="op">%&lt;&gt;%</span> <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/group_by.html">group_by</a></span><span class="op">(</span><span class="va">`Sample id`</span><span class="op">)</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/summarise.html">summarise</a></span><span class="op">(</span>determinant <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/list.html">list</a></span><span class="op">(</span><span class="va">determinant</span><span class="op">)</span><span class="op">)</span>

<span class="fu"><a href="https://rdrr.io/r/utils/head.html">head</a></span><span class="op">(</span><span class="va">all_potential_CR_determinants</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/knitr/man/kable.html">kable</a></span><span class="op">(</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/kableExtra/man/kable_styling.html">kable_styling</a></span><span class="op">(</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/kableExtra/man/scroll_box.html">scroll_box</a></span><span class="op">(</span>width <span class="op">=</span> <span class="st">"100%"</span><span class="op">)</span></code></pre></div>
<div style="border: 1px solid #ddd; padding: 5px; overflow-x: scroll; width:100%; ">
<table class="table table">
<thead><tr>
<th style="text-align:left;">
Sample id
</th>
<th style="text-align:left;">
determinant
</th>
</tr></thead>
<tbody>
<tr>
<td style="text-align:left;">
G18250048
</td>
<td style="text-align:left;">
blaNDM-1 , blaOXA-181 , blaOXA-181 , blaCTX-M-15 , ompK36-mutation, ompK37-mutation
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250088
</td>
<td style="text-align:left;">
blaNDM-1 , blaOXA-232 , blaOXA-232 , blaCTX-M-15 , blaOXA-1 , ompK36-mutation, ompK37-mutation
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250103
</td>
<td style="text-align:left;">
blaNDM-1 , blaOXA-232 , blaOXA-232 , blaCTX-M-15 , blaOXA-1 , ompK36-mutation, ompK37-mutation
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250104
</td>
<td style="text-align:left;">
ompK36-mutation, ompK37-mutation
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250114
</td>
<td style="text-align:left;">
blaNDM-1 , blaCTX-M-15 , blaOXA-1 , ompK36-mutation, ompK37-mutation
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250122
</td>
<td style="text-align:left;">
blaNDM-1 , blaCTX-M-15 , blaOXA-1 , ompK36-mutation, ompK37-mutation
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div id="filtering-out-samples-without-relevant-loci" class="section level3">
<h3 class="hasAnchor">
<a href="#filtering-out-samples-without-relevant-loci" class="anchor"></a>Filtering out samples without relevant loci</h3>
<ul>
<li>filter out those without a carbapenamase</li>
<li>Filter out those that have no beta lactamase and those that have a potential ESBL without a porin mutation</li>
</ul>
<div class="sourceCode" id="cb18"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">all_potential_CR_determinants</span> <span class="op">%&lt;&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/filter.html">filter</a></span><span class="op">(</span><span class="fu">str_detect</span><span class="op">(</span><span class="va">determinant</span>, <span class="st">"bla"</span><span class="op">)</span><span class="op">)</span>

<span class="co"># filter out those with only ESBL but no OmpK mutations</span>
<span class="va">all_potential_CR_determinants</span> <span class="op">%&lt;&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/filter.html">filter</a></span><span class="op">(</span><span class="op">!</span>
                  <span class="op">(</span>
                    <span class="op">(</span>
                      <span class="fu">str_detect</span><span class="op">(</span><span class="va">determinant</span>, <span class="st">"blaCTX-M"</span><span class="op">)</span> <span class="op">|</span>
                      <span class="fu">str_detect</span><span class="op">(</span><span class="va">determinant</span>, <span class="st">"blaSHV"</span><span class="op">)</span> <span class="op">|</span>
                      <span class="fu">str_detect</span><span class="op">(</span><span class="va">determinant</span>, <span class="st">"blaTEM"</span><span class="op">)</span> <span class="op">|</span>
                      <span class="fu">str_detect</span><span class="op">(</span><span class="va">determinant</span>, <span class="st">"blaOXA"</span><span class="op">)</span>
                    <span class="op">)</span> <span class="op">&amp;</span>
                      <span class="op">!</span><span class="fu">str_detect</span><span class="op">(</span><span class="va">determinant</span>, <span class="st">"ompK"</span><span class="op">)</span>
                  <span class="op">)</span>
  <span class="op">)</span>
<span class="fu"><a href="https://rdrr.io/r/utils/head.html">head</a></span><span class="op">(</span><span class="va">all_potential_CR_determinants</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/knitr/man/kable.html">kable</a></span><span class="op">(</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/kableExtra/man/kable_styling.html">kable_styling</a></span><span class="op">(</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://rdrr.io/pkg/kableExtra/man/scroll_box.html">scroll_box</a></span><span class="op">(</span>width <span class="op">=</span> <span class="st">"100%"</span><span class="op">)</span></code></pre></div>
<div style="border: 1px solid #ddd; padding: 5px; overflow-x: scroll; width:100%; ">
<table class="table table">
<thead><tr>
<th style="text-align:left;">
Sample id
</th>
<th style="text-align:left;">
determinant
</th>
</tr></thead>
<tbody>
<tr>
<td style="text-align:left;">
G18250048
</td>
<td style="text-align:left;">
blaNDM-1 , blaOXA-181 , blaOXA-181 , blaCTX-M-15 , ompK36-mutation, ompK37-mutation
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250088
</td>
<td style="text-align:left;">
blaNDM-1 , blaOXA-232 , blaOXA-232 , blaCTX-M-15 , blaOXA-1 , ompK36-mutation, ompK37-mutation
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250103
</td>
<td style="text-align:left;">
blaNDM-1 , blaOXA-232 , blaOXA-232 , blaCTX-M-15 , blaOXA-1 , ompK36-mutation, ompK37-mutation
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250114
</td>
<td style="text-align:left;">
blaNDM-1 , blaCTX-M-15 , blaOXA-1 , ompK36-mutation, ompK37-mutation
</td>
</tr>
<tr>
<td style="text-align:left;">
G18250122
</td>
<td style="text-align:left;">
blaNDM-1 , blaCTX-M-15 , blaOXA-1 , ompK36-mutation, ompK37-mutation
</td>
</tr>
<tr>
<td style="text-align:left;">
G18251889
</td>
<td style="text-align:left;">
blaOXA-232 , blaOXA-232 , blaCTX-M-15 , ompK37-mutation , ompK36-incomplete
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div id="plotting-the-data" class="section level3">
<h3 class="hasAnchor">
<a href="#plotting-the-data" class="anchor"></a>Plotting the data</h3>
<hr>
<p>Use the ggupset library to plot the data</p>
<div class="sourceCode" id="cb19"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="kw"><a href="https://rdrr.io/r/base/library.html">library</a></span><span class="op">(</span><span class="va"><a href="https://github.com/const-ae/ggupset">ggupset</a></span><span class="op">)</span>
<span class="co"># Find unique determinants to become the set labels</span>
<span class="va">unique_determinants</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/cbind.html">rbind</a></span><span class="op">(</span><span class="va">carbapenamases</span>, <span class="va">esbls</span>, <span class="va">carbapenam_specific_mutations</span>, <span class="va">carbapenam_specific_incomplete_genes</span><span class="op">)</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/distinct.html">distinct</a></span><span class="op">(</span><span class="va">determinant</span><span class="op">)</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/arrange.html">arrange</a></span><span class="op">(</span><span class="va">determinant</span><span class="op">)</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/pull.html">pull</a></span><span class="op">(</span><span class="va">determinant</span><span class="op">)</span>

<span class="co"># make the upset plot</span>
<span class="va">upset_plot</span> <span class="op">&lt;-</span> <span class="va">all_potential_CR_determinants</span> <span class="op">%&gt;%</span>
  <span class="fu"><a href="https://ggplot2.tidyverse.org/reference/ggplot.html">ggplot</a></span><span class="op">(</span><span class="fu"><a href="https://ggplot2.tidyverse.org/reference/aes.html">aes</a></span><span class="op">(</span>x<span class="op">=</span><span class="va">determinant</span><span class="op">)</span><span class="op">)</span> <span class="op">+</span>
  <span class="fu"><a href="https://ggplot2.tidyverse.org/reference/geom_bar.html">geom_bar</a></span><span class="op">(</span><span class="op">)</span> <span class="op">+</span>
  <span class="fu"><a href="https://rdrr.io/pkg/ggupset/man/scale_x_upset.html">scale_x_upset</a></span><span class="op">(</span>order_by <span class="op">=</span> <span class="st">"freq"</span>, sets <span class="op">=</span> <span class="va">unique_determinants</span><span class="op">)</span>

<span class="va">upset_plot</span></code></pre></div>
<p><img src="plotting_upset_diagrams_files/figure-html/unnamed-chunk-8-1.png" width="960"></p>
</div>
<div id="breaking-it-down-by-st" class="section level3">
<h3 class="hasAnchor">
<a href="#breaking-it-down-by-st" class="anchor"></a>Breaking it down by ST</h3>
<hr>
<div class="sourceCode" id="cb20"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="kw"><a href="https://rdrr.io/r/base/library.html">library</a></span><span class="op">(</span><span class="va"><a href="https://wilkelab.org/cowplot/">cowplot</a></span><span class="op">)</span>
<span class="kw"><a href="https://rdrr.io/r/base/library.html">library</a></span><span class="op">(</span><span class="va"><a href="https://forcats.tidyverse.org">forcats</a></span><span class="op">)</span>
<span class="va">all_potential_CR_determinants_and_ST</span> <span class="op">&lt;-</span> <span class="va">all_potential_CR_determinants</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/mutate-joins.html">left_join</a></span><span class="op">(</span><span class="va">mlst_data</span> <span class="op">%&gt;%</span> <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/select.html">select</a></span><span class="op">(</span><span class="va">`Sample id`</span>, <span class="va">ST</span><span class="op">)</span>, by <span class="op">=</span> <span class="st">"Sample id"</span><span class="op">)</span> 

<span class="va">num</span> <span class="op">&lt;-</span> <span class="fl">9</span>
<span class="va">most_frequent_STs</span> <span class="op">&lt;-</span> <span class="va">all_potential_CR_determinants_and_ST</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/select.html">select</a></span><span class="op">(</span><span class="va">ST</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/count.html">count</a></span><span class="op">(</span><span class="va">ST</span><span class="op">)</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/arrange.html">arrange</a></span><span class="op">(</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/desc.html">desc</a></span><span class="op">(</span><span class="va">n</span><span class="op">)</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/slice.html">slice_max</a></span><span class="op">(</span><span class="va">n</span>, n <span class="op">=</span> <span class="va">num</span><span class="op">)</span> <span class="op">%&gt;%</span>
  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/pull.html">pull</a></span><span class="op">(</span><span class="va">ST</span><span class="op">)</span>

<span class="va">plots</span> <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/list.html">list</a></span><span class="op">(</span><span class="op">)</span>
<span class="va">plot_index</span> <span class="op">&lt;-</span> <span class="fl">0</span>
<span class="kw">for</span> <span class="op">(</span><span class="va">start</span> <span class="kw">in</span> <span class="fu"><a href="https://rdrr.io/r/base/seq.html">seq</a></span><span class="op">(</span><span class="fl">1</span>,<span class="fl">9</span>, by <span class="op">=</span><span class="fl">3</span><span class="op">)</span><span class="op">)</span><span class="op">{</span>
  <span class="va">plot_index</span> <span class="op">&lt;-</span> <span class="va">plot_index</span> <span class="op">+</span> <span class="fl">1</span>

  <span class="va">end</span> <span class="op">&lt;-</span> <span class="va">start</span> <span class="op">+</span> <span class="fl">2</span>
  <span class="va">selected_STs</span> <span class="op">&lt;-</span> <span class="va">most_frequent_STs</span><span class="op">[</span><span class="va">start</span><span class="op">:</span><span class="va">end</span><span class="op">]</span>
  <span class="va">data_for_STs</span> <span class="op">&lt;-</span> <span class="va">all_potential_CR_determinants_and_ST</span> <span class="op">%&gt;%</span> <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/filter.html">filter</a></span><span class="op">(</span><span class="va">ST</span> <span class="op">%in%</span> <span class="va">selected_STs</span><span class="op">)</span>

  <span class="va">determinants_for_STs</span> <span class="op">&lt;-</span> <span class="va">data_for_STs</span> <span class="op">%&gt;%</span>
    <span class="fu"><a href="https://tidyr.tidyverse.org/reference/nest.html">unnest</a></span><span class="op">(</span>cols <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="va">determinant</span><span class="op">)</span><span class="op">)</span> <span class="op">%&gt;%</span>
    <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/distinct.html">distinct</a></span><span class="op">(</span><span class="va">determinant</span><span class="op">)</span> <span class="op">%&gt;%</span>
    <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/arrange.html">arrange</a></span><span class="op">(</span><span class="va">determinant</span><span class="op">)</span> <span class="op">%&gt;%</span>
    <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/pull.html">pull</a></span><span class="op">(</span><span class="va">determinant</span><span class="op">)</span>

  <span class="va">upset_plot_for_STs</span> <span class="op">&lt;-</span>  <span class="va">data_for_STs</span> <span class="op">%&gt;%</span>
    <span class="fu"><a href="https://dplyr.tidyverse.org/reference/mutate.html">mutate</a></span><span class="op">(</span>ST <span class="op">=</span> <span class="fu"><a href="https://forcats.tidyverse.org/reference/fct_relevel.html">fct_relevel</a></span><span class="op">(</span><span class="va">ST</span>, <span class="va">selected_STs</span><span class="op">)</span><span class="op">)</span> <span class="op">%&gt;%</span>
    <span class="fu"><a href="https://ggplot2.tidyverse.org/reference/ggplot.html">ggplot</a></span><span class="op">(</span><span class="fu"><a href="https://ggplot2.tidyverse.org/reference/aes.html">aes</a></span><span class="op">(</span>x <span class="op">=</span> <span class="va">determinant</span><span class="op">)</span><span class="op">)</span> <span class="op">+</span>
    <span class="fu"><a href="https://ggplot2.tidyverse.org/reference/geom_bar.html">geom_bar</a></span><span class="op">(</span><span class="op">)</span> <span class="op">+</span>
    <span class="fu"><a href="https://ggplot2.tidyverse.org/reference/theme.html">theme</a></span><span class="op">(</span>plot.title <span class="op">=</span> <span class="fu"><a href="https://ggplot2.tidyverse.org/reference/element.html">element_text</a></span><span class="op">(</span>size <span class="op">=</span> <span class="fl">20</span>, face <span class="op">=</span> <span class="st">"bold"</span><span class="op">)</span><span class="op">)</span> <span class="op">+</span>
    <span class="fu"><a href="https://ggplot2.tidyverse.org/reference/facet_grid.html">facet_grid</a></span><span class="op">(</span>cols <span class="op">=</span> <span class="fu"><a href="https://dplyr.tidyverse.org/reference/vars.html">vars</a></span><span class="op">(</span><span class="va">ST</span><span class="op">)</span>, scales <span class="op">=</span> <span class="st">"free_x"</span>, space <span class="op">=</span> <span class="st">"free"</span>, drop <span class="op">=</span> <span class="cn">FALSE</span><span class="op">)</span> <span class="op">+</span>
    <span class="fu">ggeasy</span><span class="fu">::</span><span class="fu"><a href="https://rdrr.io/pkg/ggeasy/man/easy_labs.html">easy_labs</a></span><span class="op">(</span>x <span class="op">=</span> <span class="st">""</span><span class="op">)</span> <span class="op">+</span>
    <span class="fu"><a href="https://rdrr.io/pkg/ggupset/man/scale_x_upset.html">scale_x_upset</a></span><span class="op">(</span>order_by <span class="op">=</span> <span class="st">"freq"</span>, sets <span class="op">=</span> <span class="va">determinants_for_STs</span><span class="op">)</span> <span class="op">+</span>
    <span class="fu"><a href="https://ggplot2.tidyverse.org/reference/theme.html">theme</a></span><span class="op">(</span>panel.spacing.x<span class="op">=</span><span class="fu"><a href="https://rdrr.io/r/grid/unit.html">unit</a></span><span class="op">(</span><span class="fl">6</span>, <span class="st">"lines"</span><span class="op">)</span><span class="op">)</span>

  <span class="va">plots</span><span class="op">[[</span><span class="va">plot_index</span><span class="op">]</span><span class="op">]</span> <span class="op">&lt;-</span> <span class="va">upset_plot_for_STs</span>
<span class="op">}</span>

<span class="va">plot_grid</span> <span class="op">&lt;-</span> <span class="fu">cowplot</span><span class="fu">::</span><span class="fu"><a href="https://wilkelab.org/cowplot/reference/plot_grid.html">plot_grid</a></span><span class="op">(</span>plotlist <span class="op">=</span> <span class="va">plots</span>, align <span class="op">=</span> <span class="st">"h"</span>, ncol <span class="op">=</span> <span class="fl">1</span><span class="op">)</span> <span class="op">+</span>
  <span class="fu">cowplot</span><span class="fu">::</span><span class="fu"><a href="https://wilkelab.org/cowplot/reference/draw_figure_label.html">draw_figure_label</a></span><span class="op">(</span>label <span class="op">=</span> <span class="st">"determinant"</span>, position <span class="op">=</span> <span class="st">"bottom"</span>, font <span class="op">=</span> <span class="st">"bold"</span><span class="op">)</span>

<span class="va">plot_grid</span></code></pre></div>
<p><img src="plotting_upset_diagrams_files/figure-html/unnamed-chunk-9-1.png" width="960"></p>
</div>
</div>
  </div>

  <div class="col-md-3 hidden-xs hidden-sm" id="pkgdown-sidebar">

        <nav id="toc" data-toggle="toc"><h2 data-toc-skip>Contents</h2>
    </nav>
</div>

</div>



      <footer><div class="copyright">
  <p>Developed by CGPS team.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.6.1.</p>
</div>

      </footer>
</div>

  


  </body>
</html>
